new;
library pgraph;
cls;

th_min1 = -1;
th_max1 = -0.0001;
th_n1   = 1000;
th_grid1 = seqa(th_min1,(th_max1-th_min1)/(th_n1-1),th_n1);

th_grid2 = 0;

th_min3 = 0.0001;
th_max3 = 2;
th_n3   = 1000;
th_grid3 = seqa(th_min3,(th_max3-th_min3)/(th_n3-1),th_n3);

th_grid = th_grid1 | th_grid2 | th_grid3;
th_n    = th_n1 + 1 + th_n3;

la_grid =  0.01 | 0.25 | 1;
la_n = rows(la_grid);
n =100;

phi_hat = 0;

/* compute posterior
*/
postpdf_th = zeros(th_n,la_n);


i = 1;
do until i > la_n;

      lam   = la_grid[i];    

      postpdf_th[1:th_n,i]    
           = (1/lam)*( cdfn(sqrt(n)*(th_grid-phi_hat)) 
                        - cdfn(sqrt(n)*(th_grid-phi_hat-lam)) );                                                                
      i = i+1;
endo;
   

/* Plot objective fcn
*/
pltbayes:

graphset;
begwind;
margin(0.2,0.2,0.2,0.2); 

window(1,1,0);
fonts("microb");
_ptitlht = 0.3;
_paxht = 0.3;
_pnumht = 0.3;
_pcolor = {1 4 2};
_pltype = {6 3 1};
_protate = 0;
_plctrl  = 0;
_plwidth = 7.5;
_psymsiz = 2;
_pypmax = 1;

xtics(-0.5,1.5,0.5,1);
ytics(0,4,2,1);

xlabel("Theta");
title("Bayesian Posterior Density");
xy(th_grid,postpdf_th);

endwind;      
   
end;

